APIReferênciaProdutos
Criar produto
Cria um produto com preço em centavos, imagem, descrição e regras de compra.
Permissão da chave: Catálogo › escrever.
bearerheader
AuthorizationBearer <chave de API>Chave de API da loja (Painel › Integrações › Chaves de API)
Idempotency-Key?stringChave única por operação (ex.: o id do pedido no seu sistema). Repetir a chamada com a mesma chave devolve a mesma resposta, sem duplicar.
Padrão (regex)
^[A-Za-z0-9._:-]+$Tamanho
8 <= length <= 255application/json- body
name*stringTamanho
1 <= length <= 120description*stringTamanho
length <= 5000sku?stringPadrão (regex)
^[A-Za-z0-9._-]{1,64}$price*compareAt?imageUrl?stringFormato
uriicon?stringTamanho
length <= 60gallery?array<>Itens
items <= 10videoUrl?stringFormato
uritags?array<>Itens
items <= 20accessDays?numberIntervalo
1 <= value <= 3650categoryId?stringfeatured?booleanlisted?booleanbadge?stringTamanho
1 <= length <= 20accentColor?stringPadrão (regex)
^#[0-9a-fA-F]{6}$visibleFrom?stringvisibleUntil?stringrequireLogin?booleanlimitTotal?numberIntervalo
1 <= value <= 1000000limitPerCustomer?numberIntervalo
1 <= value <= 1000000limitCountsExpired?booleansingleQuantity?booleangiftCardValue?giftCardDays?numberIntervalo
1 <= value <= 3650acceptsGiftCard?booleangiftable?booleancurl -X POST "https://api.rivoo.gg/v1/products" \ -H "Authorization: Bearer $RIVOO_API_KEY" \ -H "Idempotency-Key: pedido_123" \ -H "Content-Type: application/json" \ -d '{"name":"string","description":"string","price":{"amount":0}}'Exemplo de resposta
Vazio